Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.cin.types.v1
Enum ContentEncryptionType

    java.lang.Object
      java.lang.Enum<ContentEncryptionType>
          be.cin.types.v1.ContentEncryptionType

All Implemented Interfaces:
  Serializable, Comparable<ContentEncryptionType>

    public enum ContentEncryptionType

extends Enum<ContentEncryptionType>

Java class for ContentEncryptionType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ContentEncryptionType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="encryptedForKnownRecipient"/>
         <enumeration value="encryptedForKnownIO"/>
         <enumeration value="encryptedForKnownHCP"/>
         <enumeration value="encryptedForKnownBED"/>
         <enumeration value="encryptedForKnownCINNIC"/>
         <enumeration value="toEncryptByIM"/>
         <enumeration value="toEncryptByBED"/>
         <enumeration value="decryptedByIM"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`DECRYPTED_BY_IM` this value indicates that the body has been decrypted by the IM before sending the message to the back-office service.
`ENCRYPTED_FOR_KNOWN_BED` this value indicates that the sender encrypted the content of the body with the public key of the Business Exchange Domain (message broker).
`ENCRYPTED_FOR_KNOWN_CINNIC` this value indicates that the sender encrypted the content of the body with the public key of mycarenet (message broker).
`ENCRYPTED_FOR_KNOWN_HCP` this value indicates that the sender encrypted the content of the body with the key of the known recipient Healthcare provider
`ENCRYPTED_FOR_KNOWN_IO` this value indicates that the sender encrypted the content of the body with the key of the known recipient IO.
`ENCRYPTED_FOR_KNOWN_RECIPIENT` this value indicates that the sender encrypted the content of the body with the key of the known recipient.
`TO_ENCRYPT_BY_BED` this value indicates that the body needs to be encrypted by the IM before sending the message to Mycarenet.
`TO_ENCRYPT_BY_IM` this value indicates that the body needs to be encrypted by the IM before sending the message to Mycarenet.

Method Summary
`static ContentEncryptionType` | `fromValue(String v)`
`String` | `value()`
`static ContentEncryptionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContentEncryptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENCRYPTED_FOR_KNOWN_RECIPIENT

    public static final ContentEncryptionType ENCRYPTED_FOR_KNOWN_RECIPIENT

  this value indicates that the sender encrypted the content of the body with the key of the known recipient.

### ENCRYPTED_FOR_KNOWN_IO

    public static final ContentEncryptionType ENCRYPTED_FOR_KNOWN_IO

  this value indicates that the sender encrypted the content of the body with the key of the known recipient IO.

### ENCRYPTED_FOR_KNOWN_HCP

    public static final ContentEncryptionType ENCRYPTED_FOR_KNOWN_HCP

  this value indicates that the sender encrypted the content of the body with the key of the known recipient Healthcare provider

### ENCRYPTED_FOR_KNOWN_BED

    public static final ContentEncryptionType ENCRYPTED_FOR_KNOWN_BED

  this value indicates that the sender encrypted the content of the body with the public key of the Business Exchange Domain (message broker). This is used when the message needs to be decrypted by the message broker for intermediate processing

### ENCRYPTED_FOR_KNOWN_CINNIC

    public static final ContentEncryptionType ENCRYPTED_FOR_KNOWN_CINNIC

  this value indicates that the sender encrypted the content of the body with the public key of mycarenet (message broker). This is used when the message needs to be decrypted by the Mycarenet for intermediate processing

### TO_ENCRYPT_BY_IM

    public static final ContentEncryptionType TO_ENCRYPT_BY_IM

  this value indicates that the body needs to be encrypted by the IM before sending the message to Mycarenet. Usage of this value is reserved for users of integration module.

### TO_ENCRYPT_BY_BED

    public static final ContentEncryptionType TO_ENCRYPT_BY_BED

  this value indicates that the body needs to be encrypted by the IM before sending the message to Mycarenet. Usage of this value is reserved for users of integration module.

### DECRYPTED_BY_IM

    public static final ContentEncryptionType DECRYPTED_BY_IM

  this value indicates that the body has been decrypted by the IM before sending the message to the back-office service. Usage of this value is reserved for users of integration module.

Method Detail

### values

    public static ContentEncryptionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContentEncryptionType c : ContentEncryptionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContentEncryptionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static ContentEncryptionType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PHYSIOTHERAPIST 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.